> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List available countries

> Lookup of countries that can be selected when creating a proxy.



## OpenAPI

````yaml /api-reference/mobilerun-proxy.yaml get /connect/countries
openapi: 3.1.0
info:
  title: Mobilerun Proxy
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /connect/countries:
    get:
      tags:
        - Countries
      summary: List available countries
      description: Lookup of countries that can be selected when creating a proxy.
      operationId: ListCountries
      parameters:
        - $ref: '#/components/parameters/Page'
        - $ref: '#/components/parameters/PageSize'
        - description: Filter to countries offering this proxy type.
          in: query
          name: type
          schema:
            $ref: '#/components/schemas/ProxyType'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CountryList'
          description: Available countries.
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const countries = await client.connect.countries.list();

            console.log(countries.items);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            countries = client.connect.countries.list()
            print(countries.items)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tcountries, err := client.Connect.Countries.List(context.TODO(), mobileruncloud.ConnectCountryListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", countries.Items)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud connect:countries list \
              --api-key 'My API Key'
components:
  parameters:
    Page:
      description: Page number (1-based).
      in: query
      name: page
      schema:
        default: 1
        minimum: 1
        type: integer
    PageSize:
      description: Number of items per page.
      in: query
      name: pageSize
      schema:
        default: 20
        maximum: 100
        minimum: 1
        type: integer
  schemas:
    ProxyType:
      default: dedicated_residential
      enum:
        - dedicated_residential
        - residential
        - mobile
      type: string
    CountryList:
      description: A page of countries.
      properties:
        items:
          items:
            $ref: '#/components/schemas/Country'
          type: array
        pagination:
          $ref: '#/components/schemas/PaginationMeta1'
      required:
        - items
        - pagination
      type: object
    Country:
      properties:
        code:
          description: ISO 3166-1 alpha-2 country code (lowercase).
          example: us
          type: string
        name:
          example: United States
          type: string
        proxyTypes:
          description: Proxy types available to provision in this country.
          items:
            $ref: '#/components/schemas/ProxyType'
          minItems: 1
          type: array
      required:
        - code
        - name
        - proxyTypes
      type: object
    PaginationMeta1:
      description: Pagination metadata for a list response.
      properties:
        hasNext:
          description: Whether a next page exists.
          type: boolean
        hasPrev:
          description: Whether a previous page exists.
          type: boolean
        page:
          description: Current page number (1-based).
          type: integer
        pageSize:
          description: Number of items per page.
          type: integer
        pages:
          description: Total number of pages.
          type: integer
        total:
          description: Total number of items across all pages.
          type: integer
      required:
        - page
        - pageSize
        - total
        - pages
        - hasNext
        - hasPrev
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````